Add a block entry
Blocks an email address or domain from inbound receiving and returns the created block entry. Responds with 201.
Blocks an email address or domain from inbound receiving and returns the created block entry. Responds with 201.
Authorization
apiKey x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
blockType*string
Value in
- "email"
- "domain"
blockValue*string
reason*string
notes?string|null
expiresAt?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/email/blocks" \ -H "Content-Type: application/json" \ -d '{ "blockType": "email", "blockValue": "string", "reason": "string" }'{ "id": "string", "blockType": "email", "blockValue": "string", "reason": "string", "notes": "string", "isActive": true, "expiresAt": "string", "createdAt": "string"}